## pywayland 0.4.18

=== requirements.txt ===
cffi>=1.12.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pywayland.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pywayland.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pywayland"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pywayland"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== doc/requirements.txt ===
sphinx
sphinx_rtd_theme

=== debian/changelog ===
pywayland (0.4.18-6) unstable; urgency=medium

  * debian/control
    + Remove nocheck flag from pytest. (Closes: #1116888)
  * debian/watch
    + Update to use the proper version 5 format

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 04 Oct 2025 17:28:32 -0500

pywayland (0.4.18-5) unstable; urgency=medium

  * Fix test failures with newer Wayland versions. (Closes: #1113697)
  * debian/control
    + Bump to Standards-Version 4.7.2 (no changes needed).
  * debian/copyright
    + Extend copyright debian holders years.
  * debian/watch
    + Update to version 5.

 -- Daniel Echeverri <epsilon@debian.org>  Fri, 12 Sep 2025 21:52:22 -0500

pywayland (0.4.18-4) unstable; urgency=medium

  * Team Upload
  * Depend on python3-setuptools in the autopkgtest.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 08 Mar 2025 08:58:56 -0400

pywayland (0.4.18-3) unstable; urgency=medium

  * Team Upload
  * Set DPT as Maintainer per new Team Policy
  * Sort d/control with debputy
  * Trim autopkgtest dependencies

 -- Alexandre Detiste <tchet@debian.org>  Fri, 21 Feb 2025 19:42:27 +0100

pywayland (0.4.18-2) unstable; urgency=medium

  * Make the build reproducible. (Closes: #1085280)
    + Thanks to Chris Lamb for the patch!
  * Add Multi-Arch field in python3-pywayland-doc package.

 -- Daniel Echeverri <epsilon@debian.org>  Fri, 18 Oct 2024 20:30:05 -0500

pywayland (0.4.18-1) unstable; urgency=medium

  * Initial release. (Closes: #1015279, #1076337)

 -- Daniel Echeverri <epsilon@debian.org>  Fri, 11 Oct 2024 15:38:19 -0500

=== debian/control ===
Source: pywayland
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Daniel Echeverri <epsilon@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 libpython3-all-dev,
 libwayland-dev,
 pkgconf,
 pybuild-plugin-pyproject,
 python3-all,
 python3-cffi,
 python3-pytest,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.2
#X-Python3-Version: all
Homepage: https://github.com/flacjacket/pywayland
Vcs-Git: https://salsa.debian.org/python-team/packages/pywayland.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pywayland
X-Style: black

Package: python3-pywayland
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 python3-pywayland-doc,
Description: Provides Python bindings to the Wayland library
 PyWayland provides a wrapper to the libwayland library using
 the CFFI library to provide access to the Wayland library
 calls and written in pure Python.

Package: python3-pywayland-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Suggests:
 pywayland,
Depends:
 ${misc:Depends},
Recommends:
 python3-doc,
Description: documentation for the pywayland Python library
 PyWayland provides Python bindings to the Wayland library,
 using pure Python by making calls through the CFFI module
 .
 This package provides documentation for pywayland

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

include /usr/share/dpkg/architecture.mk
export PYBUILD_NAME=pywayland
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:

	dh $@ --with python3  --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	# Force the build of CFFI bindings
	python3 setup.py build_ext --inplace
	cd doc; $(MAKE) man text
	#use always same id to make the package reproducible
	sed -i "s/id='[0-9]*'/id='140737181137280'/" doc/_build/text/module/server.txt
	sed -i "s/aq[0-9]\{9,\}/aq140737181137280/" doc/_build/man/pywayland.1

override_dh_auto_clean:
	find pywayland/protocol/ -mindepth 1 -type d -exec rm -rf {} +
	rm -rf pywayland/_ffi.*
	rm -rf doc/_build
	rm -rf doc/module/protocol
	rm -rf *.egg-info
	dh_auto_clean

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
		export PYTHONPATH=$(pwd)
		PYTHONPATH=$(pwd) pytest test/test_client_destroy.py
endif

override_dh_install:
	dh_install
	PYTHONPATH=$(pwd) pytest -k 'not test_server_eventloop and not test_event_queue and not test_get_registry and not test_server_display and not test_utils' test/

override_dh_installman:
	mv doc/_build/man/pywayland.1  doc/_build/man/pywayland-scanner.1
	dh_installman

=== debian/tests/control ===
Test-Command: pybuild-autopkgtest
Depends:
 libpython3-all-dev,
 libwayland-dev,
 pybuild-plugin-autopkgtest,
 python3-all,
 python3-cffi,
 python3-pytest,
 python3-setuptools,
 @,
Restrictions:
 allow-stderr,
 skippable,
Features:
 test-name=pybuild-autopkgtest,

=== debian/watch ===
Version: 5

Template: Github
Owner: flacjacket
Project: pywayland
